function getXMLHTTPRequest() {
var req;
try {
	req = new XMLHttpRequest();
} catch(err1) {
	try {
		req = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (err2) {
		try {
			req = new ActiveXObject("Microsoft.XMLHTTP");
			} catch (err3) {
				req = false;
			}
		}
	}
	return req;
}
//****************************************************************************************************************************
function ReporteEmpConsol(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  cod_emp=document.form1.cod_emp.value;
  month=document.form1.month.value;
  year=document.form1.year.value;
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consolidado_aereoempresa_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("cod_emp="+cod_emp+"&month="+month+"&year="+year+"&days="+days+"&days1="+days1+"&v="+1)
		
  
}
//****************************************************************************************************************************
function ReporteConsolVuelos(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  matricula=document.form1.matricula.value;
  month=document.form1.month.value;
  year=document.form1.year.value; 
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consolidadovuelos_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("matricula="+matricula+"&month="+month+"&year="+year+"&v="+1)  
}
//****************************************************************************************************************************
function ReporteConsolVuelosRuta(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  matricula=document.form1.matricula.value;
  month=document.form1.month.value;
  year=document.form1.year.value; 
  origen=document.form1.origen.value;
  destino=document.form1.destino.value;
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consolaereo_ruta_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("matricula="+matricula+"&month="+month+"&year="+year+"&v="+1+"&origen="+origen+"&destino="+destino)  
}
//****************************************************************************************************************************
function ReporteTareo(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  days=document.form1.days.value;
  month=document.form1.month.value;
  year=document.form1.year.value;  
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consolaereo_ruta_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("matricula="+matricula+"&month="+month+"&year="+year+"&v="+1+"&origen="+origen+"&destino="+destino)  
}
function GenerarReporteTareo(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  var fecha_fin=document.form1.fecha_fin.value;
  var diahoy= new Date();
  var diahoyes=diahoy.getDate();
  if (diahoyes<10) diahoyes="0"+diahoyes;    
  var days=fecha_fin.substring(0,2);
  //alert(diahoyes);
  /*if(days>diahoyes){
	alert("el dia seleccionado es mayor a la fecha actual"+days);  
  }else{*/
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();		  
		  ajax.open("POST","p_tareo_per_generar.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {		  
		  divResultado.innerHTML = ajax.responseText		   
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");		  
		  ajax.send("fecha_fin="+fecha_fin+"&v="+1)
  //}
}
//****************************************************************************************************************************
function ReporteConsolHrsCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  costocombus=document.form1.costocombus.value;
  
  /*if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{*/
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_hrs_xcc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto+"&costocombus="+costocombus) 
  //}
}
//****************************************************************************************************************************
function ReporteConsolHrsCCEmp(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  costocombus=document.form1.costocombus.value;
  emp=document.form1.emp.value;
  
  /*if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{*/
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_hrs_xcc_xempresa_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto+"&costocombus="+costocombus+"&emp="+emp) 
  //}
}
//****************************************************************************************************************************
function ReporteConsolCostoCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  
  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  
  if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_costos_xcc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    
		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1) 
  }
}
//****************************************************************************************************************************
function ReporteConsolTranCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  
  if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consol_v_g_cc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto) 
  }
}
//****************************************************************************************************************************
function ReporteConsolHrsxCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  redondeo=document.form1.redondeo.value;
  
  if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consol_aereo_hrsxcc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto+"&redondeo="+redondeo) 
  }
}
function ReporteConsolAereo(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  redondeo=document.form1.redondeo.value;
  
  if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consolaereo_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto+"&redondeo="+redondeo) 
  }
}
//****************************************************************************************************************************
function get_radio_value()
{
for (var i=0; i < document.form1.sel.length; i++)
{
if (document.form1.sel[i].checked)
{
var rad_val = document.form1.sel[i].value;
return rad_val;
}
}
}
function ReporteTareoVer(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  var ss = get_radio_value();
  //var datos = 'c0='+ss;
  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  tipo=document.form1.tipo.value;
  des=document.form1.des.value;
  emp=document.form1.emp.value;
  destino=document.form1.destino.value; 
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';			  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_ver_tareo_perb67_cuerpo.php?sel1="+ss,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&tipo="+tipo+"&des="+des+"&emp="+emp+"&destino="+destino) 
  
  
}
//****************************************************************************************************************************
function ReporteLocPer(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');
  var ss = get_radio_value();
  //var datos = 'c0='+ss;
  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  tipo=document.form1.tipo.value;
  des=document.form1.des.value;
  emp=document.form1.emp.value;
  destino=document.form1.destino.value; 
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';			  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_per_loc_cuerpo.php?sel1="+ss,true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&tipo="+tipo+"&des="+des+"&emp="+emp+"&destino="+destino) 
  
  
}
//****************************************************************************************************************************
function ReporteConsolPassxCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;
  days1=document.form1.days1.value;
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  
  if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consol_aereo_passxcc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&days1="+days1+"&matricula="+matricula+"&ccosto="+ccosto) 
  }
}
//****************************************************************************************************************************
function ReporteConsolHrsVolxCC(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;  
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  costocombus=document.form1.costocombus.value;
  
  /*if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{*/
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consol_hv_cc_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&matricula="+matricula+"&ccosto="+ccosto+"&costocombus="+costocombus) 
  //}
}
//****************************************************************************************************************************
function ReporteConsolHrsVolxCCAcumulado(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;  
  matricula=document.form1.matricula.value;
  ccosto=document.form1.ccosto.value;
  costocombus=document.form1.costocombus.value;
  
  /*if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{*/
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_consol_hv_cc_acumul_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&matricula="+matricula+"&ccosto="+ccosto+"&costocombus="+costocombus) 
  //}
}
//****************************************************************************************************************************
function ReporteAcumPaxTrans(){
  //donde se mostrará lo resultados
  var divResultado = document.getElementById('cuerpo');

  month=document.form1.month.value;
  year=document.form1.year.value; 
  days=document.form1.days.value;  
  matricula=document.form1.matricula.value;
  days1=document.form1.days1.value;
  
  
  /*if(parseInt(document.form1.days1.value)>parseInt(document.form1.days.value)){
	  alert("rango de fecha invalido");
	  document.form1.days1.focus();
	  return;    
  }else{*/
  
	  	  divResultado.innerHTML= '<img src="imagen/anim.gif">';	
  			
		  
		  ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion  
		  ajax.open("POST","p_acumul_pesopax_cuerpo.php",true);
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText
		  //llamar a funcion para limpiar los inputs    		  
		  }
		  }
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send("month="+month+"&year="+year+"&v="+1+"&days="+days+"&matricula="+matricula+"&days1="+days1) 
  //}
}
///********************************************************************************************************************************************************************
function Focuss(elemento, valor) {
	$(elemento).className = 'inputon';	
	last = valor;
}
function Blurr(elemento, valor, campo, idtareo) {
  //donde se mostrará lo resultados
  
  
  //divResultado = document.getElementById('mensaje');    
	 ajax=getXMLHTTPRequest();
		  //uso del medoto POST
		  //archivo que realizará la operacion 
		  $(elemento).className = 'inputoff';	
		  if (last != valor){
		  ajax.open("POST","procesos/p_cambiadestino.php",true);
		  }
		  ajax.onreadystatechange=function() {
		  if (ajax.readyState==4) {
		  //mostrar resultados en esta capa
		  divResultado.innerHTML = ajax.responseText		  
		  //llamar a funcion para limpiar los inputs		  
		  }
		  }
		  
		  ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		  //enviando los valores
		  ajax.send('valor='+valor+'&campo='+campo+'&idtareo='+idtareo)  
    
}
///********************************************************************************************************************************************************************